.royal-poin-history {
  
    padding-bottom: 1rem;

    .history-heading {
        img {
            display: inline-block;
            max-width: 60px;
        }
        h1 {
            color: #1a3491;
            font-family: 'GothamRounded-Bold';
            font-size: 20px;
            line-height: 28px;
            margin-top: 20px;
        }
        p {
            font-size: 16px;
            color: #808080;
            text-align: center;
            font-family: 'GothamRounded-Book';
        }
    }

    .history-filter {
        &__button {
            border: 1px solid #2384c6;
            font-family: 'GothamRounded-Book';
            color: #2384c6;
            font-size: 14px;
            padding:8px 20px;
            border-radius: 4px;
            display:inline-block;
            line-height: 1;
            background-color: #fff;

            img {
                height: 12px;
            }

            &.filtered{
                color: #fff;
                background-color: #2384c6;
                img{
                    filter: brightness(0) invert(1);
                }
            }
            &:first-child {
                margin-right: 16px;
            }
            &:focus{
                outline: none;
            }
        }

        border-bottom: 1px solid #ccc;
        padding-bottom:30px;

        #modalFilter{
            background-color: rgba(0, 0, 0, 0.9);

            .modal-dialog{
                max-width: 320px;
                .modal-content{
                    .modal-header{
                        border-bottom: none;
                        padding: 20px;
                        .modal-title{
                            font-family: GothamRounded-Bold;
                            font-size: 19px;
                            color: #1a3491;
                        }
                        .close{
                            color: #1a3491;
                            opacity: 0.9;
                            &:hover{
                                opacity: 1;
                            }
                            &:focus{
                                outline: none;
                            }
                        }
                    }
                    .modal-body{
                        padding: 0 20px;
                        margin: 10px 0 20px 0;
                        text-align: left;
                        color: #6e6e6e;
                        font-family: GothamRounded-Book;
                        font-size: 14px;
                        h6{
                            font-family: GothamRounded-Medium;
                            margin-bottom: 20px;
                        }
                        .form-check{
                            padding: 0;
                            margin-bottom: 20px;
                            &:last-child{margin-bottom: 0;}

                            .form-check-input{
                                margin: 0;
                                right: 0;
                                top: 25%;
                            }
                        }
                    }
                    .modal-footer{
                        border-top: none;
                        padding: 20px;
                        display: block;

                        button{ 
                            width: 100%;
                            margin: 0;
                            font-family: GothamRounded-Bold;
                            border: none;
                            height: 45px;
                            border-radius: 4px;
                            background-color: #fff;

                            &:focus{
                                outline: none;
                            }
                        }

                        .apply-filter{
                            color: #fff;
                            background-color: #aaaaaa;
                            &.active{
                                background-color: #2384c6;
                            }
                        }
                        .reset-filter{
                            color: #aaaaaa;
                            &.active{
                                color: #2384c6;
                            }
                        }
                    }
                }
            }
        }
    }

    .history-list {

        &__item {
            padding-top: 30px;
            padding-bottom: 30px;
            border-bottom: 1px solid #eee;
            align-items: center;
            justify-content: space-between;
        }

        &__poin {
            text-align: right;
            font-size: 18px;
            color:#1a3491 !important;
            font-family: 'GothamRounded-Bold' !important;
        }

        h4 {
            font-family: 'GothamRounded-Bold';
            color:#d1aa59;
            font-size: 15px;
            line-height: 22px;
            margin-bottom:5px;

            &.yellow {
                color: #ffd800;
            }

            &.green {
                color: #00d885;
            }

            &.red {
                color: #ff7676; 
            }
        }
        a, p {
            display: block;
            color:#808080;
            font-size: 18px;
            line-height: 20px;
            font-family: 'GothamRounded-Book';
            margin-bottom: 5px;
        }
        span {
            color:#b2b2b2;
            font-size: 15px;
            line-height: 20px;
            font-family: 'GothamRounded-Book';
        }
        strong {
            display: block;
            font-family: 'GothamRounded-Bold';
            color:#b2b2b2;
            font-size: 16px;
            margin-top:20px;
        }
    }


}